diff --exclude work --exclude CVS -Npru ports.orig/mail/dkim-milter/Makefile ports/mail/dkim-milter/Makefile
--- ports.orig/mail/dkim-milter/Makefile	2008-01-20 08:01:44.000000000 +0900
+++ ports/mail/dkim-milter/Makefile	2008-01-20 07:43:38.000000000 +0900
@@ -13,7 +13,7 @@
 ## base system, building this port may fail.
 
 PORTNAME=	dkim-milter
-PORTVERSION=	2.4.2
+PORTVERSION=	2.4.3
 CATEGORIES=	mail
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -43,9 +43,11 @@ SUB_FILES=	milter-dkim.sh
 WCONF=		${WRKSRC}/devtools/Site
 MAN5=		dkim-filter.conf.5
 MAN8=		dkim-filter.8 dkim-genkey.8 dkim-testkey.8 dkim-testssp.8
-PLIST_FILES=	etc/mail/dkim-filter.conf.sample \
+PLIST_FILES=	etc/mail/dkim-filter.conf.sample include/dkim.h \
 		bin/dkim-genkey %%STATS%%bin/dkim-stats bin/dkim-testkey \
-		bin/dkim-testssp libexec/dkim-filter
+		bin/dkim-testssp %%LIBDKIM%%lib/libdkim.a \
+		%%LIBDKIMSHARED%%lib/libdkim.so %%LIBDKIMSHARED%%lib/libdkim.so.0 \
+		libexec/dkim-filter
 PLIST_DIRS=	etc/mail
 PORTDOCS=	FEATURES INSTALL KNOWNBUGS LICENSE README RELEASE_NOTES \
 		autorespond.csh \
@@ -153,6 +155,20 @@ SUB_LIST=	"RC_SCRIPT=${PREFIX}/etc/rc.d/
 BROKEN=		The devtools do not support the feature
 .endif
 SITE_SUB+=	-e '\|bld_LIBDKIM_SHARED|s/^dnl //g'
+.else
+.endif
+.if defined(WITH_LIBDKIM_INSTALL)
+SITE_SUB+=	-e '\|bld_LIBDKIM_INSTALL|s/^dnl //g'
+.if defined(WITH_LIBDKIM_SHARED)
+PLIST_SUB+=	LIBDKIM="@comment "
+PLIST_SUB+=	LIBDKIMSHARED=""
+.else
+PLIST_SUB+=	LIBDKIM=""
+PLIST_SUB+=	LIBDKIMSHARED="@comment "
+.endif
+.else
+PLIST_SUB+=	LIBDKIM="@comment "
+PLIST_SUB+=	LIBDKIMSHARED="@comment "
 .endif
 .if defined(WITH_DEBUG)
 SITE_SUB+=	-e '\|confOPTIMIZE.*-g|s/^dnl //g'
@@ -225,6 +241,7 @@ pre-fetch:
 	@${ECHO_MSG} " WITH_VERIFY_DOMAINKEYS=yes	Verify DomainKeys using dk-milter's libdk"
 	@${ECHO_MSG} " WITH_SENDMAIL_BASE=yes		Build to run with base sendmail"
 	@${ECHO_MSG} " WITH_POSTFIX=yes		Build to run with postfix port"
+	@${ECHO_MSG} " WITH_LIBDKIM_INSTALL=yes		Install libdkim library"
 	@${ECHO_MSG}
 	@sleep 5
 
diff --exclude work --exclude CVS -Npru ports.orig/mail/dkim-milter/distinfo ports/mail/dkim-milter/distinfo
--- ports.orig/mail/dkim-milter/distinfo	2008-01-20 08:01:44.000000000 +0900
+++ ports/mail/dkim-milter/distinfo	2008-01-19 12:55:38.000000000 +0900
@@ -1,3 +1,3 @@
-MD5 (dkim-milter-2.4.2.tar.gz) = 738f4e94823e4d778161d6f9935581f9
-SHA256 (dkim-milter-2.4.2.tar.gz) = 37eb77ebb2a3083a4b7d5792d50a80681d41deb5ee843ca23528bdeb49fab504
-SIZE (dkim-milter-2.4.2.tar.gz) = 613940
+MD5 (dkim-milter-2.4.3.tar.gz) = b2206bc0dfb2f584c47fe99a4479e428
+SHA256 (dkim-milter-2.4.3.tar.gz) = 3168856fc7760c08abfe37e1291c102293cd8b53b26974f2646693e369eca87b
+SIZE (dkim-milter-2.4.3.tar.gz) = 616459
diff --exclude work --exclude CVS -Npru ports.orig/mail/dkim-milter/files/patch-devtools__M4__UNIX__sharedlib.m4 ports/mail/dkim-milter/files/patch-devtools__M4__UNIX__sharedlib.m4
--- ports.orig/mail/dkim-milter/files/patch-devtools__M4__UNIX__sharedlib.m4	1970-01-01 09:00:00.000000000 +0900
+++ ports/mail/dkim-milter/files/patch-devtools__M4__UNIX__sharedlib.m4	2008-01-20 07:37:30.000000000 +0900
@@ -0,0 +1,11 @@
+--- ./devtools/M4/UNIX/sharedlib.m4.orig	2006-09-06 07:56:53.000000000 +0900
++++ ./devtools/M4/UNIX/sharedlib.m4	2008-01-20 07:37:08.000000000 +0900
+@@ -52,7 +52,7 @@
+ 	ifdef(`confMKDIR', `if [ ! -d ${DESTDIR}${SHAREDLIBDIR} ]; then confMKDIR -p ${DESTDIR}${SHAREDLIBDIR}; else :; fi ')
+ 	${INSTALL} -c -o ${LIBOWN} -g ${LIBGRP} -m ${LIBMODE} ${SHAREDLIB} ${DESTDIR}${SHAREDLIBDIR}
+ 	ifelse(bldOS, `AIX', `${AR} ${AROPTS} ${DESTDIR}${SHAREDLIBDIR}bldCURRENT_PRODUCT.a ${SHAREDLIB}', `rm -f ${DESTDIR}${SHAREDLIBDIR}${SHAREDLIB_LINK}
+-	${LN} ${LNOPTS} ${DESTDIR}${SHAREDLIBDIR}${SHAREDLIB} ${DESTDIR}${SHAREDLIBDIR}${SHAREDLIB_LINK}')
++	${LN} ${LNOPTS} ${DESTDIR}${SHAREDLIBDIR}${SHAREDLIB} ${DESTDIR}${SHAREDLIBDIR}/${SHAREDLIB_LINK}')
+ 
+ bldCURRENT_PRODUCT-clean:
+ 	rm -f ${OBJS} ${SHAREDLIB} bldCURRENT_PRODUCT.a ${MANPAGES} ifelse(bldOS, `AIX', `shr.o', `bldCURRENT_PRODUCT${SHAREDLIB_EXT}')
diff --exclude work --exclude CVS -Npru ports.orig/mail/dkim-milter/files/site.config.m4 ports/mail/dkim-milter/files/site.config.m4
--- ports.orig/mail/dkim-milter/files/site.config.m4	2007-12-17 09:30:24.000000000 +0900
+++ ports/mail/dkim-milter/files/site.config.m4	2008-01-20 07:10:45.000000000 +0900
@@ -2,7 +2,9 @@ define(`confEBINDIR',`%%PREFIX%%/libexec
 define(`confMANROOT',`%%PREFIX%%/man/man')
 define(`confMANROOTMAN',`%%PREFIX%%/man/man')
 define(`confUBINDIR',`%%PREFIX%%/bin')
+define(`confINCLUDEDIR',`%%PREFIX%%/include')
 define(`confLIBDIR',`%%PREFIX%%/lib')
+define(`confSHAREDLIBDIR',`%%PREFIX%%/lib')
 define(`confDONT_INSTALL_CATMAN',`True')
 %%STATIC%%APPENDDEF(`confLIBS', `-static ')
 %%BDB%%APPENDDEF(`confLIBDIRS', `-L%%BDB_LIB_DIR%% ')
